import SharedData.*;

public class VlsiServer {

    private static String sessionName = "VlsiSession";

    public static void main(String args[]) {
	Session    VlsiSession = null;
	String     url         = null;
	String     sessionType = "socket";
	String     hostname    = "cad565.sc.intel.com";
	int        hostport    = 0;

    hostname    = getHost(args);
	hostport    = getPort(args);
	sessionType = getType(args);
	url = "coll://" + hostname + ":" + hostport + "/" + sessionType +
	      "/Session/" + sessionName;
	System.out.println("Url is" + url);
	try {

		System.out.println("Create session ?");
	    VlsiSession = SessionFactory.createSession(url);
		System.out.println("Create session Ok");
	    VlsiSession.createChannel("VlsiChannel", true);
		System.out.println("Create channel Ok");
        } catch (SharedDataException e) {
            System.out.println("VlsiServer: main: shared data exception: " + e);
        }
    }


    private static String
    getHost(String args[]) {
        int length = args.length;
		String defHost="cad565.sc.intel.com";
        for (int i = 0; i < length; i++) {
            if (args[i].equals("-server")) {
                if (++i < length) {
                    return(args[i]);
                }
            }
        }
        return(defHost);
    }


    private static int getPort(String args[]) {
        int length = args.length;
		int defPort=2261;
        for (int i = 0; i < length; i++) {
            if (args[i].equals("-port")) {
                if (++i < length) {
                    return(Integer.parseInt(args[i]));
                }
            }    
        }
        return(defPort);
    }


    private static String getType(String args[]) {
        int length = args.length;
		String defType="scoket";
        for (int i = 0; i < length; i++) {
            if (args[i].equals("-type")) {
                if (++i < length) {
                    return(args[i]);
                }
            }    
        }
        return(defType);
    }
}
